#ifndef __DEVICE_ANGLE_ZEROOFFSET_H_
#define __DEVICE_ANGLE_ZEROOFFSET_H_

#include "agent_hyt.h"

///云台角度偏移保存地址
#define ZERO_OFFSET_ANGLE_FLASH_ADD 0X00880000//云台角度偏移参数存储地址
#define ZERO_OFFSET_ANGLE_BACKUP_FLASH_ADD 0X00890000//云台角度偏移参数备用存储地址
#define ZERO_OFFSET_ANGLE_SAVE_FLASH_NUM       3 //云台角度偏移参数保存次数
#define ZERO_OFFSET_ANGLE_READ_FLASH_NUM       3 //云台角度偏移参数读取次数


//char ptz_data_init();
unsigned int ptz_zero_offset_angle_crc(PtzZeroOffsetAngle offset);
char ptz_zero_offset_angle_save();
char ptz_zero_offset_angle_read();
char ptz_zero_offset_angle_erase();
void ptz_zero_offset_angle_return(char dev);
void ptz_zero_offset_angle_set(char dev, PTZ_DATA_PACK *pack);

#endif